Cómo Solucionar el Error “Parece que tu instalación de PHP no cuenta con la extensión de MySQL, necesaria para hacer funcionar WordPress”

Hay Varios Motivos por los que ese Mensaje puede Aparecer. En Muchos Casos (Por no Decir Todos, dado que no lo son), lo que Recomiendan es Acceder a la Configuración de PHP y Descomentar la Extensión mysql.so, pero eso es algo que debería estar Configurado Automáticamente tras la Instalación de MySQL.

En mi Caso esa Recomendación no sirvió de Nada, así que la Solución llegó Instalando ‘php-mysql‘*, ya que la Extensión mysql está Obsoleta desde hace ya Bastantes Versiones, por lo que tendremos que Instalar la Extensión mysqli.

Tras Instalarla no nos podemos Olvidar de Reiniciar Apache2 y MySQL*, tras lo cual el Problema debería haberse Solucionado.

1* Instalar ‘php-mysql’ – apt install php-mysql (apt-get en lugar de apt para Ubuntu 14 o Anterior).

2* Reiniciar Apache2 y MySQL – ‘service apache2 restart’ y ‘service mysql restart’ (Si no eres Usuario Administrador o root, deberás Anteponer ‘sudo’).